Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class JBossUserGroupCallbackImpl

    java.lang.Object
      org.jbpm.services.task.identity.JBossUserGroupCallbackImpl

All Implemented Interfaces:
  UserGroupCallback

    @Alternative
    public class JBossUserGroupCallbackImpl

extends Object
implements org.kie.internal.task.api.UserGroupCallback

Constructor Summary
`JBossUserGroupCallbackImpl()`
`JBossUserGroupCallbackImpl(Properties userGroups)`
`JBossUserGroupCallbackImpl(String location)`

Method Summary
`boolean` | `existsGroup(String groupId)` Resolves existence of group id.
`boolean` | `existsUser(String userId)` Resolves existence of user id.
`List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)` Returns list of group ids for specified user id.
`protected void` | `init(Properties userGroups)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossUserGroupCallbackImpl

    public JBossUserGroupCallbackImpl()

### JBossUserGroupCallbackImpl

    public JBossUserGroupCallbackImpl(String location)

### JBossUserGroupCallbackImpl

    public JBossUserGroupCallbackImpl(Properties userGroups)

Method Detail

### init

    protected void init(Properties userGroups)

### existsUser

    public boolean existsUser(String userId)

  Description copied from interface: `UserGroupCallback`
  Resolves existence of user id.

  Specified by:
    `existsUser` in interface `UserGroupCallback`
  Parameters:
    `userId` - the user id assigned to the task
  Returns:
    true if userId exists, false otherwise.

### existsGroup

    public boolean existsGroup(String groupId)

  Description copied from interface: `UserGroupCallback`
  Resolves existence of group id.

  Specified by:
    `existsGroup` in interface `UserGroupCallback`
  Parameters:
    `groupId` - the group id assigned to the task
  Returns:
    true if groupId exists, false otherwise.

### getGroupsForUser

    public List<String> getGroupsForUser(String userId,
                                         List<String> groupIds,
                                         List<String> allExistingGroupIds)

  Description copied from interface: `UserGroupCallback`
  Returns list of group ids for specified user id.

  Specified by:
    `getGroupsForUser` in interface `UserGroupCallback`
  Parameters:
    `userId` - the user id assigned to the task
    `groupIds` - list of group ids assigned to the task
    `allExistingGroupIds` - list of all currently known group ids
  Returns:
    List of group ids.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.